Index: /trunk/src/wp-includes/js/media/views.js
===================================================================
--- /trunk/src/wp-includes/js/media/views.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views.js	(revision 31935)
@@ -5339,9 +5258,9 @@
 			}),
 
-			new CollectionEditController({
+			new wp.media.controller.CollectionEdit({
 				type: 'video',
 				collectionType: 'playlist',
 				title:          l10n.editVideoPlaylistTitle,
-				SettingsView:   PlaylistSettings,
+				SettingsView:   wp.media.view.Settings.Playlist,
 				library:        options.selection,
 				editing:        options.editing,
@@ -5351,5 +5270,5 @@
 			}),
 
-			new CollectionAddController({
+			new wp.media.controller.CollectionAdd({
 				type: 'video',
 				collectionType: 'playlist',
@@ -5359,5 +5278,5 @@
 
 		if ( wp.media.view.settings.post.featuredImageId ) {
-			this.states.add( new FeaturedImageController() );
+			this.states.add( new wp.media.controller.FeaturedImage() );
 		}
 	},
@@ -5446,5 +5365,5 @@
 	mainMenu: function( view ) {
 		view.set({
-			'library-separator': new View({
+			'library-separator': new wp.media.View({
 				className: 'separator',
 				priority: 100
@@ -5485,5 +5404,5 @@
 				}
 			},
-			separateCancel: new View({
+			separateCancel: new wp.media.View({
 				className: 'separator',
 				priority: 40
@@ -5509,5 +5428,5 @@
 				}
 			},
-			separateCancel: new View({
+			separateCancel: new wp.media.View({
 				className: 'separator',
 				priority: 40
@@ -5533,5 +5452,5 @@
 				}
 			},
-			separateCancel: new View({
+			separateCancel: new wp.media.View({
 				className: 'separator',
 				priority: 40
@@ -5542,5 +5461,5 @@
 	// Content
 	embedContent: function() {
-		var view = new Embed({
+		var view = new wp.media.view.Embed({
 			controller: this,
 			model:      this.state()
@@ -5559,5 +5478,5 @@
 			view;
 
-		view = new AttachmentsBrowser({
+		view = new wp.media.view.AttachmentsBrowser({
 			controller: this,
 			collection: selection,
@@ -5569,5 +5488,5 @@
 			dragInfo:   true,
 
-			AttachmentView: EditSelection
+			AttachmentView: wp.media.view.Attachments.EditSelection
 		}).render();
 
@@ -5590,5 +5509,5 @@
 	editImageContent: function() {
 		var image = this.state().get('image'),
-			view = new EditImage( { model: image, controller: this } ).render();
+			view = new wp.media.view.EditImage( { model: image, controller: this } ).render();
 
 		this.content.set( view );
@@ -5607,5 +5526,5 @@
 		var editable = this.state().get('editable');
 
-		view.set( 'selection', new SelectionView({
+		view.set( 'selection', new wp.media.view.Selection({
 			controller: this,
 			collection: this.state().get('selection'),
@@ -5748,5 +5667,5 @@
 
 	mainEmbedToolbar: function( toolbar ) {
-		toolbar.view = new ToolbarEmbed({
+		toolbar.view = new wp.media.view.Toolbar.Embed({
 			controller: this
 		});
@@ -5755,5 +5674,5 @@
 	galleryEditToolbar: function() {
 		var editing = this.state().get('editing');
-		this.toolbar.set( new Toolbar({
+		this.toolbar.set( new wp.media.view.Toolbar({
 			controller: this,
 			items: {
@@ -5784,5 +5703,5 @@
 
 	galleryAddToolbar: function() {
-		this.toolbar.set( new Toolbar({
+		this.toolbar.set( new wp.media.view.Toolbar({
 			controller: this,
 			items: {
@@ -5812,5 +5731,5 @@
 	playlistEditToolbar: function() {
 		var editing = this.state().get('editing');
-		this.toolbar.set( new Toolbar({
+		this.toolbar.set( new wp.media.view.Toolbar({
 			controller: this,
 			items: {
@@ -5841,5 +5760,5 @@
 
 	playlistAddToolbar: function() {
-		this.toolbar.set( new Toolbar({
+		this.toolbar.set( new wp.media.view.Toolbar({
 			controller: this,
 			items: {
@@ -5869,5 +5788,5 @@
 	videoPlaylistEditToolbar: function() {
 		var editing = this.state().get('editing');
-		this.toolbar.set( new Toolbar({
+		this.toolbar.set( new wp.media.view.Toolbar({
 			controller: this,
 			items: {
@@ -5898,5 +5817,5 @@
 
 	videoPlaylistAddToolbar: function() {
-		this.toolbar.set( new Toolbar({
+		this.toolbar.set( new wp.media.view.Toolbar({
 			controller: this,
 			items: {
@@ -5924,5 +5843,5 @@
 module.exports = Post;
 
-},{"../../controllers/collection-add.js":1,"../../controllers/collection-edit.js":2,"../../controllers/edit-image.js":4,"../../controllers/embed.js":5,"../../controllers/featured-image.js":6,"../../controllers/gallery-add.js":7,"../../controllers/gallery-edit.js":8,"../../controllers/library.js":10,"../attachment/edit-selection.js":26,"../attachments/browser.js":30,"../edit-image.js":35,"../embed.js":36,"../selection.js":56,"../settings/playlist.js":60,"../toolbar.js":63,"../toolbar/embed.js":64,"../view.js":71,"./select.js":44}],44:[function(require,module,exports){
+},{}],44:[function(require,module,exports){
 /*globals wp, _ */
 
@@ -5941,9 +5860,5 @@
  */
 
-var MediaFrame = require( '../media-frame.js' ),
-	Library = require( '../../controllers/library.js' ),
-	AttachmentsBrowser = require( '../attachments/browser.js' ),
-	UploaderInline = require( '../uploader/inline.js' ),
-	ToolbarSelect = require( '../toolbar/select.js' ),
+var MediaFrame = wp.media.view.MediaFrame,
 	l10n = wp.media.view.l10n,
 	Select;
@@ -6003,5 +5918,5 @@
 		this.states.add([
 			// Main states.
-			new Library({
+			new wp.media.controller.Library({
 				library:   wp.media.query( options.library ),
 				multiple:  options.multiple,
@@ -6054,5 +5969,5 @@
 
 		// Browse our library of attachments.
-		contentRegion.view = new AttachmentsBrowser({
+		contentRegion.view = new wp.media.view.AttachmentsBrowser({
 			controller: this,
 			collection: state.get('library'),
@@ -6078,5 +5993,5 @@
 	uploadContent: function() {
 		this.$el.removeClass( 'hide-toolbar' );
-		this.content.set( new UploaderInline({
+		this.content.set( new wp.media.view.UploaderInline({
 			controller: this
 		}) );
@@ -6094,5 +6009,5 @@
 		options.controller = this;
 
-		toolbar.view = new ToolbarSelect( options );
+		toolbar.view = new wp.media.view.Toolbar.Select( options );
 	}
 });
@@ -6100,5 +6015,5 @@
 module.exports = Select;
 
-},{"../../controllers/library.js":10,"../attachments/browser.js":30,"../media-frame.js":48,"../toolbar/select.js":65,"../uploader/inline.js":67}],45:[function(require,module,exports){
+},{}],45:[function(require,module,exports){
 /**
  * wp.media.view.Iframe
@@ -6109,8 +6024,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	Iframe;
-
-Iframe = View.extend({
+var Iframe = wp.media.View.extend({
 	className: 'media-iframe',
 	/**
@@ -6127,5 +6039,5 @@
 module.exports = Iframe;
 
-},{"./view.js":71}],46:[function(require,module,exports){
+},{}],46:[function(require,module,exports){
 /*globals wp, _, jQuery */
 
@@ -6140,5 +6052,5 @@
  * @augments Backbone.View
  */
-var AttachmentDisplay = require( './settings/attachment-display.js' ),
+var AttachmentDisplay = wp.media.view.Settings.AttachmentDisplay,
 	$ = jQuery,
 	ImageDetails;
@@ -6297,5 +6209,5 @@
 module.exports = ImageDetails;
 
-},{"./settings/attachment-display.js":58}],47:[function(require,module,exports){
+},{}],47:[function(require,module,exports){
 /**
  * wp.media.view.Label
@@ -6306,8 +6218,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	Label;
-
-Label = View.extend({
+var Label = wp.media.View.extend({
 	tagName: 'label',
 	className: 'screen-reader-text',
@@ -6326,5 +6235,5 @@
 module.exports = Label;
 
-},{"./view.js":71}],48:[function(require,module,exports){
+},{}],48:[function(require,module,exports){
 /*globals wp, _, jQuery */
 
@@ -6341,12 +6250,5 @@
  * @mixes wp.media.controller.StateMachine
  */
-var View = require( './view.js' ),
-	Frame = require( './frame.js' ),
-	Modal = require( './modal.js' ),
-	UploaderWindow = require( './uploader/window.js' ),
-	Menu = require( './menu.js' ),
-	Toolbar = require( './toolbar.js' ),
-	Router = require( './router.js' ),
-	Iframe = require( './iframe.js' ),
+var Frame = wp.media.view.Frame,
 	$ = jQuery,
 	MediaFrame;
@@ -6378,5 +6280,5 @@
 		// Initialize modal container view.
 		if ( this.options.modal ) {
-			this.modal = new Modal({
+			this.modal = new wp.media.view.Modal({
 				controller: this,
 				title:      this.options.title
@@ -6394,5 +6296,5 @@
 		// Initialize window-wide uploader.
 		if ( this.options.uploader ) {
-			this.uploader = new UploaderWindow({
+			this.uploader = new wp.media.view.UploaderWindow({
 				controller: this,
 				uploader: {
@@ -6435,5 +6337,5 @@
 	 */
 	createTitle: function( title ) {
-		title.view = new View({
+		title.view = new wp.media.View({
 			controller: this,
 			tagName: 'h1'
@@ -6445,5 +6347,5 @@
 	 */
 	createMenu: function( menu ) {
-		menu.view = new Menu({
+		menu.view = new wp.media.view.Menu({
 			controller: this
 		});
@@ -6459,5 +6361,5 @@
 	 */
 	createToolbar: function( toolbar ) {
-		toolbar.view = new Toolbar({
+		toolbar.view = new wp.media.view.Toolbar({
 			controller: this
 		});
@@ -6468,5 +6370,5 @@
 	 */
 	createRouter: function( router ) {
-		router.view = new Router({
+		router.view = new wp.media.view.Router({
 			controller: this
 		});
@@ -6515,5 +6417,5 @@
 	iframeContent: function( content ) {
 		this.$el.addClass('hide-toolbar');
-		content.view = new Iframe({
+		content.view = new wp.media.view.Iframe({
 			controller: this
 		});
@@ -6582,5 +6484,5 @@
 module.exports = MediaFrame;
 
-},{"./frame.js":41,"./iframe.js":45,"./menu.js":50,"./modal.js":51,"./router.js":54,"./toolbar.js":63,"./uploader/window.js":70,"./view.js":71}],49:[function(require,module,exports){
+},{}],49:[function(require,module,exports){
 /*globals jQuery */
 
@@ -6593,9 +6495,8 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	$ = jQuery,
+var $ = jQuery,
 	MenuItem;
 
-MenuItem = View.extend({
+MenuItem = wp.media.View.extend({
 	tagName:   'a',
 	className: 'media-menu-item',
@@ -6657,5 +6558,5 @@
 module.exports = MenuItem;
 
-},{"./view.js":71}],50:[function(require,module,exports){
+},{}],50:[function(require,module,exports){
 /**
  * wp.media.view.Menu
@@ -6667,6 +6568,6 @@
  * @augments Backbone.View
  */
-var MenuItem = require( './menu-item.js' ),
-	PriorityList = require( './priority-list.js' ),
+var MenuItem = wp.media.view.MenuItem,
+	PriorityList = wp.media.view.PriorityList,
 	Menu;
 
@@ -6774,5 +6675,5 @@
 module.exports = Menu;
 
-},{"./menu-item.js":49,"./priority-list.js":52}],51:[function(require,module,exports){
+},{}],51:[function(require,module,exports){
 /*globals wp, _, jQuery */
 
@@ -6787,10 +6688,8 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	FocusManager = require( './focus-manager.js' ),
-	$ = jQuery,
+var $ = jQuery,
 	Modal;
 
-Modal = View.extend({
+Modal = wp.media.View.extend({
 	tagName:  'div',
 	template: wp.template('media-modal'),
@@ -6813,5 +6712,5 @@
 		});
 
-		this.focusManager = new FocusManager({
+		this.focusManager = new wp.media.view.FocusManager({
 			el: this.el
 		});
@@ -6991,5 +6890,5 @@
 module.exports = Modal;
 
-},{"./focus-manager.js":40,"./view.js":71}],52:[function(require,module,exports){
+},{}],52:[function(require,module,exports){
 /*globals _, Backbone */
 
@@ -7002,8 +6901,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	PriorityList;
-
-PriorityList = View.extend({
+var PriorityList = wp.media.View.extend({
 	tagName:   'div',
 
@@ -7087,5 +6983,5 @@
 	 */
 	toView: function( options ) {
-		return new View( options );
+		return new wp.media.View( options );
 	}
 });
@@ -7093,5 +6989,5 @@
 module.exports = PriorityList;
 
-},{"./view.js":71}],53:[function(require,module,exports){
+},{}],53:[function(require,module,exports){
 /**
  * wp.media.view.RouterItem
@@ -7103,8 +6999,5 @@
  * @augments Backbone.View
  */
-var MenuItem = require( './menu-item.js' ),
-	RouterItem;
-
-RouterItem = MenuItem.extend({
+var RouterItem = wp.media.view.MenuItem.extend({
 	/**
 	 * On click handler to activate the content region's corresponding mode.
@@ -7120,5 +7013,7 @@
 module.exports = RouterItem;
 
-},{"./menu-item.js":49}],54:[function(require,module,exports){
+},{}],54:[function(require,module,exports){
+/*globals wp */
+
 /**
  * wp.media.view.Router
@@ -7131,6 +7026,5 @@
  * @augments Backbone.View
  */
-var Menu = require( './menu.js' ),
-	RouterItem = require( './router-item.js' ),
+var Menu = wp.media.view.Menu,
 	Router;
 
@@ -7139,5 +7033,5 @@
 	className: 'media-router',
 	property:  'contentMode',
-	ItemView:  RouterItem,
+	ItemView:  wp.media.view.RouterItem,
 	region:    'router',
 
@@ -7158,5 +7052,5 @@
 module.exports = Router;
 
-},{"./menu.js":50,"./router-item.js":53}],55:[function(require,module,exports){
+},{}],55:[function(require,module,exports){
 /*globals wp */
 
@@ -7169,9 +7063,8 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	l10n = wp.media.view.l10n,
+var l10n = wp.media.view.l10n,
 	Search;
 
-Search = View.extend({
+Search = wp.media.View.extend({
 	tagName:   'input',
 	className: 'search',
@@ -7209,5 +7102,5 @@
 module.exports = Search;
 
-},{"./view.js":71}],56:[function(require,module,exports){
+},{}],56:[function(require,module,exports){
 /*globals wp, _, Backbone */
 
@@ -7220,10 +7113,8 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	AttachmentsSelection = require( './attachments/selection.js' ),
-	l10n = wp.media.view.l10n,
+var l10n = wp.media.view.l10n,
 	Selection;
 
-Selection = View.extend({
+Selection = wp.media.View.extend({
 	tagName:   'div',
 	className: 'media-selection',
@@ -7244,5 +7135,5 @@
 		 * @member {wp.media.view.Attachments.Selection}
 		 */
-		this.attachments = new AttachmentsSelection({
+		this.attachments = new wp.media.view.Attachments.Selection({
 			controller: this.controller,
 			collection: this.collection,
@@ -7296,5 +7187,5 @@
 module.exports = Selection;
 
-},{"./attachments/selection.js":31,"./view.js":71}],57:[function(require,module,exports){
+},{}],57:[function(require,module,exports){
 /*globals _, Backbone */
 
@@ -7307,5 +7198,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
+var View = wp.media.View,
 	$ = Backbone.$,
 	Settings;
@@ -7419,5 +7310,5 @@
 module.exports = Settings;
 
-},{"./view.js":71}],58:[function(require,module,exports){
+},{}],58:[function(require,module,exports){
 /*globals wp, _ */
 
@@ -7431,5 +7322,5 @@
  * @augments Backbone.View
  */
-var Settings = require( '../settings.js' ),
+var Settings = wp.media.view.Settings,
 	AttachmentDisplay;
 
@@ -7515,5 +7406,5 @@
 module.exports = AttachmentDisplay;
 
-},{"../settings.js":57}],59:[function(require,module,exports){
+},{}],59:[function(require,module,exports){
 /*globals wp */
 
@@ -7527,8 +7418,5 @@
  * @augments Backbone.View
  */
-var Settings = require( '../settings.js' ),
-	Gallery;
-
-Gallery = Settings.extend({
+var Gallery = wp.media.view.Settings.extend({
 	className: 'collection-settings gallery-settings',
 	template:  wp.template('gallery-settings')
@@ -7537,5 +7425,5 @@
 module.exports = Gallery;
 
-},{"../settings.js":57}],60:[function(require,module,exports){
+},{}],60:[function(require,module,exports){
 /*globals wp */
 
@@ -7549,8 +7437,5 @@
  * @augments Backbone.View
  */
-var Settings = require( '../settings.js' ),
-	Playlist;
-
-Playlist = Settings.extend({
+var Playlist = wp.media.view.Settings.extend({
 	className: 'collection-settings playlist-settings',
 	template:  wp.template('playlist-settings')
@@ -7559,5 +7444,5 @@
 module.exports = Playlist;
 
-},{"../settings.js":57}],61:[function(require,module,exports){
+},{}],61:[function(require,module,exports){
 /**
  * wp.media.view.Sidebar
@@ -7569,8 +7454,5 @@
  * @augments Backbone.View
  */
-var PriorityList = require( './priority-list.js' ),
-	Sidebar;
-
-Sidebar = PriorityList.extend({
+var Sidebar = wp.media.view.PriorityList.extend({
 	className: 'media-sidebar'
 });
@@ -7578,5 +7460,5 @@
 module.exports = Sidebar;
 
-},{"./priority-list.js":52}],62:[function(require,module,exports){
+},{}],62:[function(require,module,exports){
 /*globals _ */
 
@@ -7589,8 +7471,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	Spinner;
-
-Spinner = View.extend({
+var Spinner = wp.media.View.extend({
 	tagName:   'span',
 	className: 'spinner',
@@ -7618,5 +7497,5 @@
 module.exports = Spinner;
 
-},{"./view.js":71}],63:[function(require,module,exports){
+},{}],63:[function(require,module,exports){
 /*globals _, Backbone */
 
@@ -7632,7 +7511,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	Button = require( './button.js' ),
-	PriorityList = require( './priority-list.js' ),
+var View = wp.media.View,
 	Toolbar;
 
@@ -7649,6 +7526,6 @@
 
 		// The toolbar is composed of two `PriorityList` views.
-		this.primary   = new PriorityList();
-		this.secondary = new PriorityList();
+		this.primary   = new wp.media.view.PriorityList();
+		this.secondary = new wp.media.view.PriorityList();
 		this.primary.$el.addClass('media-toolbar-primary search-form');
 		this.secondary.$el.addClass('media-toolbar-secondary');
@@ -7712,5 +7589,5 @@
 			if ( ! ( view instanceof Backbone.View ) ) {
 				view.classes = [ 'media-button-' + id ].concat( view.classes || [] );
-				view = new Button( view ).render();
+				view = new wp.media.view.Button( view ).render();
 			}
 
@@ -7782,5 +7659,5 @@
 module.exports = Toolbar;
 
-},{"./button.js":33,"./priority-list.js":52,"./view.js":71}],64:[function(require,module,exports){
+},{}],64:[function(require,module,exports){
 /*globals wp, _ */
 
@@ -7795,5 +7672,5 @@
  * @augments Backbone.View
  */
-var Select = require( './select.js' ),
+var Select = wp.media.view.Toolbar.Select,
 	l10n = wp.media.view.l10n,
 	Embed;
@@ -7821,5 +7698,5 @@
 module.exports = Embed;
 
-},{"./select.js":65}],65:[function(require,module,exports){
+},{}],65:[function(require,module,exports){
 /*globals wp, _ */
 
@@ -7833,5 +7710,5 @@
  * @augments Backbone.View
  */
-var Toolbar = require( '../toolbar.js' ),
+var Toolbar = wp.media.view.Toolbar,
 	l10n = wp.media.view.l10n,
 	Select;
@@ -7893,5 +7770,5 @@
 module.exports = Select;
 
-},{"../toolbar.js":63}],66:[function(require,module,exports){
+},{}],66:[function(require,module,exports){
 /*globals wp, _, jQuery */
 
@@ -7907,5 +7784,5 @@
  * @augments Backbone.View
  */
-var View = require( '../view.js' ),
+var View = wp.media.View,
 	l10n = wp.media.view.l10n,
 	$ = jQuery,
@@ -8114,5 +7991,5 @@
 module.exports = EditorUploader;
 
-},{"../view.js":71}],67:[function(require,module,exports){
+},{}],67:[function(require,module,exports){
 /*globals wp, _ */
 
@@ -8127,6 +8004,5 @@
  * @augments Backbone.View
  */
-var View = require( '../view.js' ),
-	UploaderStatus = require( './status.js' ),
+var View = wp.media.View,
 	UploaderInline;
 
@@ -8156,5 +8032,5 @@
 
 		if ( this.options.status ) {
-			this.views.set( '.upload-inline-status', new UploaderStatus({
+			this.views.set( '.upload-inline-status', new wp.media.view.UploaderStatus({
 				controller: this.controller
 			}) );
@@ -8248,5 +8124,5 @@
 module.exports = UploaderInline;
 
-},{"../view.js":71,"./status.js":69}],68:[function(require,module,exports){
+},{}],68:[function(require,module,exports){
 /*globals wp */
 
@@ -8259,8 +8135,5 @@
  * @augments Backbone.View
  */
-var View = require( '../view.js' ),
-	UploaderStatusError;
-
-UploaderStatusError = View.extend({
+var UploaderStatusError = wp.media.View.extend({
 	className: 'upload-error',
 	template:  wp.template('uploader-status-error')
@@ -8269,5 +8142,5 @@
 module.exports = UploaderStatusError;
 
-},{"../view.js":71}],69:[function(require,module,exports){
+},{}],69:[function(require,module,exports){
 /*globals wp, _ */
 
@@ -8282,6 +8155,5 @@
  * @augments Backbone.View
  */
-var View = require( '../view.js' ),
-	UploaderStatusError = require( './status-error.js' ),
+var View = wp.media.View,
 	UploaderStatus;
 
@@ -8385,5 +8257,5 @@
 	 */
 	error: function( error ) {
-		this.views.add( '.upload-errors', new UploaderStatusError({
+		this.views.add( '.upload-errors', new wp.media.view.UploaderStatusError({
 			filename: this.filename( error.get('file').name ),
 			message:  error.get('message')
@@ -8410,5 +8282,5 @@
 module.exports = UploaderStatus;
 
-},{"../view.js":71,"./status-error.js":68}],70:[function(require,module,exports){
+},{}],70:[function(require,module,exports){
 /*globals wp, _, jQuery */
 
@@ -8429,9 +8301,8 @@
  * @param {object} [options.uploader.params]
  */
-var View = require( '../view.js' ),
-	$ = jQuery,
+var $ = jQuery,
 	UploaderWindow;
 
-UploaderWindow = View.extend({
+UploaderWindow = wp.media.View.extend({
 	tagName:   'div',
 	className: 'uploader-window',
@@ -8524,5 +8395,5 @@
 module.exports = UploaderWindow;
 
-},{"../view.js":71}],71:[function(require,module,exports){
+},{}],71:[function(require,module,exports){
 /*globals wp */
 
Index: /trunk/src/wp-includes/js/media/views/attachment-compat.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/attachment-compat.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/attachment-compat.js	(revision 31935)
@@ -11,5 +11,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
+var View = wp.media.View,
 	AttachmentCompat;
 
Index: /trunk/src/wp-includes/js/media/views/attachment-filters.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/attachment-filters.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/attachment-filters.js	(revision 31935)
@@ -9,9 +9,8 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	$ = jQuery,
+var $ = jQuery,
 	AttachmentFilters;
 
-AttachmentFilters = View.extend({
+AttachmentFilters = wp.media.View.extend({
 	tagName:   'select',
 	className: 'attachment-filters',
Index: /trunk/src/wp-includes/js/media/views/attachment-filters/all.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/attachment-filters/all.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/attachment-filters/all.js	(revision 31935)
@@ -10,9 +10,8 @@
  * @augments Backbone.View
  */
-var AttachmentFilters = require( '../attachment-filters.js' ),
-	l10n = wp.media.view.l10n,
+var l10n = wp.media.view.l10n,
 	All;
 
-All = AttachmentFilters.extend({
+All = wp.media.view.AttachmentFilters.extend({
 	createFilters: function() {
 		var filters = {};
Index: /trunk/src/wp-includes/js/media/views/attachment-filters/date.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/attachment-filters/date.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/attachment-filters/date.js	(revision 31935)
@@ -10,9 +10,8 @@
  * @augments Backbone.View
  */
-var AttachmentFilters = require( '../attachment-filters.js' ),
-	l10n = wp.media.view.l10n,
+var l10n = wp.media.view.l10n,
 	DateFilter;
 
-DateFilter = AttachmentFilters.extend({
+DateFilter = wp.media.view.AttachmentFilters.extend({
 	id: 'media-attachment-date-filters',
 
Index: /trunk/src/wp-includes/js/media/views/attachment-filters/uploaded.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/attachment-filters/uploaded.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/attachment-filters/uploaded.js	(revision 31935)
@@ -10,9 +10,8 @@
  * @augments Backbone.View
  */
-var AttachmentFilters = require( '../attachment-filters.js' ),
-	l10n = wp.media.view.l10n,
+var l10n = wp.media.view.l10n,
 	Uploaded;
 
-Uploaded = AttachmentFilters.extend({
+Uploaded = wp.media.view.AttachmentFilters.extend({
 	createFilters: function() {
 		var type = this.model.get('type'),
Index: /trunk/src/wp-includes/js/media/views/attachment.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/attachment.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/attachment.js	(revision 31935)
@@ -9,5 +9,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
+var View = wp.media.View,
 	$ = jQuery,
 	Attachment;
Index: /trunk/src/wp-includes/js/media/views/attachment/details.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/attachment/details.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/attachment/details.js	(revision 31935)
@@ -10,5 +10,5 @@
  * @augments Backbone.View
  */
-var Attachment = require( '../attachment.js' ),
+var Attachment = wp.media.view.Attachment,
 	l10n = wp.media.view.l10n,
 	Details;
Index: /trunk/src/wp-includes/js/media/views/attachment/edit-library.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/attachment/edit-library.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/attachment/edit-library.js	(revision 31935)
@@ -1,2 +1,4 @@
+/*globals wp */
+
 /**
  * wp.media.view.Attachment.EditLibrary
@@ -8,8 +10,5 @@
  * @augments Backbone.View
  */
-var Attachment = require( '../attachment.js' ),
-	EditLibrary;
-
-EditLibrary = Attachment.extend({
+var EditLibrary = wp.media.view.Attachment.extend({
 	buttons: {
 		close: true
Index: /trunk/src/wp-includes/js/media/views/attachment/edit-selection.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/attachment/edit-selection.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/attachment/edit-selection.js	(revision 31935)
@@ -1,2 +1,4 @@
+/*globals wp */
+
 /**
  * wp.media.view.Attachments.EditSelection
@@ -9,8 +11,5 @@
  * @augments Backbone.View
  */
-var Selection = require( './selection.js' ),
-	EditSelection;
-
-EditSelection = Selection.extend({
+var EditSelection = wp.media.view.Attachment.Selection.extend({
 	buttons: {
 		close: true
Index: /trunk/src/wp-includes/js/media/views/attachment/library.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/attachment/library.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/attachment/library.js	(revision 31935)
@@ -1,2 +1,4 @@
+/*globals wp */
+
 /**
  * wp.media.view.Attachment.Library
@@ -8,8 +10,5 @@
  * @augments Backbone.View
  */
-var Attachment = require( '../attachment.js' ),
-	Library;
-
-Library = Attachment.extend({
+var Library = wp.media.view.Attachment.extend({
 	buttons: {
 		check: true
Index: /trunk/src/wp-includes/js/media/views/attachment/selection.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/attachment/selection.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/attachment/selection.js	(revision 31935)
@@ -1,2 +1,4 @@
+/*globals wp */
+
 /**
  * wp.media.view.Attachment.Selection
@@ -8,8 +10,5 @@
  * @augments Backbone.View
  */
-var Attachment = require( '../attachment.js' ),
-	Selection;
-
-Selection = Attachment.extend({
+var Selection = wp.media.view.Attachment.extend({
 	className: 'attachment selection',
 
Index: /trunk/src/wp-includes/js/media/views/attachments.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/attachments.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/attachments.js	(revision 31935)
@@ -9,6 +9,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	Attachment = require( './attachment.js' ),
+var View = wp.media.View,
 	$ = jQuery,
 	Attachments;
@@ -28,5 +27,5 @@
 			refreshSensitivity: wp.media.isTouchDevice ? 300 : 200,
 			refreshThreshold:   3,
-			AttachmentView:     Attachment,
+			AttachmentView:     wp.media.view.Attachment,
 			sortable:           false,
 			resize:             true,
